Package com.typesafe.config

# Class DefaultConfigLoadingStrategy

java.lang.Object
com.typesafe.config.DefaultConfigLoadingStrategy

All Implemented Interfaces:
  `ConfigLoadingStrategy`

public class DefaultConfigLoadingStrategy extends Object implements ConfigLoadingStrategy
Default config loading strategy. Able to load resource, file or URL. Behavior may be altered by defining one of VM properties `config.resource`, `config.file` or `config.url`

## Constructor Summary

Constructors
Constructor
Description
`DefaultConfigLoadingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Config`
`parseApplicationConfig(ConfigParseOptions parseOptions)`
This method must load and parse application config.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConfigLoadingStrategy

public DefaultConfigLoadingStrategy()

## Method Details

### parseApplicationConfig

public Config parseApplicationConfig(ConfigParseOptions parseOptions)
Description copied from interface: `ConfigLoadingStrategy`
This method must load and parse application config.

Specified by:
  `parseApplicationConfig` in interface `ConfigLoadingStrategy`
Parameters:
  `parseOptions` - `ConfigParseOptions` to use
Returns:
  loaded config